| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessFlyingFacesEstimator Struct Referenceabstract

Flying Faces Liveness estimator interface. More...

`#include <ILivenessFlyingFacesEstimator.h>`

Inheritance diagram for fsdk::ILivenessFlyingFacesEstimator:

## Public Member Functions
virtual fsdk::Result < fsdk::FSDKError > | estimate (const fsdk::Face &face, LivenessFlyingFacesEstimation &estimation) const noexcept=0
| Helps to check if person is real or not. More...
virtual fsdk::Result < fsdk::FSDKError > | estimate (fsdk::Span< const fsdk::Face > faces, fsdk::Span< LivenessFlyingFacesEstimation > estimations) const noexcept=0
| Helps to check if persons are real or not. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Flying Faces Liveness estimator interface.

Note
  This estimator is designed for liveness detection.

## Member Function Documentation

virtual fsdk::Result<fsdk::FSDKError> fsdk::ILivenessFlyingFacesEstimator::estimate | ( | const fsdk::Face & | face,
|  | LivenessFlyingFacesEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Helps to check if person is real or not.

Parameters

  [in] | face | structure with detection and image, these fields should be valid,

See Also
  fsdk::Face and fsdk::Detection;

Parameters

  [out] | score | estimation score;

Returns
  Error code

See Also
  FSDKError for details

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person is real, and 0.0 equals to 0%.

virtual fsdk::Result<fsdk::FSDKError> fsdk::ILivenessFlyingFacesEstimator::estimate | ( | fsdk::Span< const fsdk::Face > | faces,
|  | fsdk::Span< LivenessFlyingFacesEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Helps to check if persons are real or not.

Parameters

  [in] | faces | Span of Faces, format of images must be R8G8B8

See Also
  fsdk::Face and fsdk::Detection;

Parameters

  [out] | scores | span of estimations,

See Also
  ;

Returns
  Error code

See Also
  FSDKError for details

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person on image is alive, and 0.0 equals to 0%.
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessFlyingFacesEstimator.h